set(PLUGIN_NAME music)

list(APPEND HEADERS 
    midi/reader/MidiReader.h
    midi/MidiTrack.h
    midi/MidiDocument.h
    midi/MidiElements.h
    midi/MidiEvent.h
    midi/MetaMidiEvent.h
    midi/MidiChannelEvent.h
	)

list(APPEND LIB_INCLUDES 
    midi/reader/MidiReader.cpp
    midi/reader/MidiTimeAdapter.cpp
    midi/reader/MidiMetaEventAdapter.cpp
    midi/reader/MidiChannelEventAdapter.cpp
    midi/MidiTrack.cpp
    midi/MidiDocument.cpp
    midi/MidiEvent.cpp
    midi/MetaMidiEvent.cpp
    midi/MidiChannelEvent.cpp
	)
   
add_library(${PLUGIN_NAME} SHARED ${LIB_INCLUDES} ${HEADERS})

target_include_directories(${PLUGIN_NAME} PUBLIC 
							${CMAKE_CURRENT_SOURCE_DIR}
							${CMAKE_CURRENT_SOURCE_DIR}/midi
							${CMAKE_CURRENT_SOURCE_DIR}/midi/reader
	)


target_link_libraries(${PLUGIN_NAME} PUBLIC core audio)
set_property(TARGET ${PLUGIN_NAME} PROPERTY FOLDER plugins)
set_target_properties( ${PLUGIN_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON )  